from serif.mfem import Mesh
import argparse

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Test loading a mesh using MFEM's mesh loading called from Python")
    parser.add_argument("path", type=str, help="path to mesh")

    args = parser.parse_args()

    mesh = Mesh(args.path)
    print(mesh.nv)
